Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.org
Class OrgModelClientService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
          com.tibco.bpm.web.client.services.client.org.OrgModelClientService

    public class OrgModelClientService

extends OrgBrowserClientService

Field Summary

Fields inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`BASE_URL, XMLFRAGMENT`

Constructor Summary
`OrgModelClientService()`

Method Summary
`static OrgModelClientService` | `getInstance()`
`void` | `getOrgModel(int version, boolean inclResCounts, boolean inclCalRefs, boolean inclCandQueries, boolean inclExtPoints, com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelResponse> callback)`
`void` | `getOrgModelEntity(int version, java.util.List<java.lang.String> guid, com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelEntityResponse> asyncCallback)`
`void` | `getOrgModelEntity(int version, java.lang.String guid, com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelEntityResponse> asyncCallback)` TODO Describe this method
`void` | `getOrgModelRoots(int version, com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelRootsResponse> callback)`
`void` | `listOrgModelVersions(com.google.gwt.user.client.rpc.AsyncCallback<ListOrgModelVersionsResponse> callback)`
`void` | `updatePushDestination(UpdatePushDestinationsDoc updatePushDestinations, com.google.gwt.user.client.rpc.AsyncCallback<VoidResult> callback)`

Methods inherited from class com.tibco.bpm.web.client.services.client.org.OrgBrowserClientService
`cleanseResponse, getHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrgModelClientService

    public OrgModelClientService()

Method Detail

### getInstance

    public static OrgModelClientService getInstance()

### listOrgModelVersions

    public void listOrgModelVersions(com.google.gwt.user.client.rpc.AsyncCallback<ListOrgModelVersionsResponse> callback)

### getOrgModel

    public void getOrgModel(int version,
                            boolean inclResCounts,
                            boolean inclCalRefs,
                            boolean inclCandQueries,
                            boolean inclExtPoints,
                            com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelResponse> callback)

### updatePushDestination

    public void updatePushDestination(UpdatePushDestinationsDoc updatePushDestinations,
                                      com.google.gwt.user.client.rpc.AsyncCallback<VoidResult> callback)

### getOrgModelRoots

    public void getOrgModelRoots(int version,
                                 com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelRootsResponse> callback)

### getOrgModelEntity

    public void getOrgModelEntity(int version,
                                  java.lang.String guid,
                                  com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelEntityResponse> asyncCallback)

  TODO Describe this method

  Parameters:
    `version` -
    `guid` -

### getOrgModelEntity

    public void getOrgModelEntity(int version,
                                  java.util.List<java.lang.String> guid,
                                  com.google.gwt.user.client.rpc.AsyncCallback<GetOrgModelEntityResponse> asyncCallback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.